export declare const atDotCssGrammar: {
    information_for_contributors: string[];
    name: string;
    scopeName: string;
    patterns: {
        include: string;
    }[];
    repository: {
        "at-triple-dot": {
            match: string;
            name: string;
        };
        "at-dot": {
            match: string;
            name: string;
        };
        interpolation: {
            patterns: ({
                include: string;
                contentName?: undefined;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                name?: undefined;
                patterns?: undefined;
            } | {
                contentName: string;
                begin: string;
                beginCaptures: {
                    "0": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                name: string;
                patterns: {
                    include: string;
                }[];
                include?: undefined;
            })[];
        };
        "at-rules": {
            patterns: ({
                include: string;
                begin?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                name?: undefined;
                patterns?: undefined;
                beginCaptures?: undefined;
                captures?: undefined;
                match?: undefined;
                contentName?: undefined;
            } | {
                begin: string;
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                name: string;
                patterns: ({
                    include: string;
                    captures?: undefined;
                    match?: undefined;
                    begin?: undefined;
                    beginCaptures?: undefined;
                    end?: undefined;
                    endCaptures?: undefined;
                    name?: undefined;
                    patterns?: undefined;
                } | {
                    captures: {
                        "1": {
                            name: string;
                        };
                        "2": {
                            name: string;
                        };
                        "3": {
                            name: string;
                        };
                        "4": {
                            name: string;
                        };
                        "5": {
                            name: string;
                        };
                        "6": {
                            name: string;
                        };
                        "7": {
                            name: string;
                        };
                    };
                    match: string;
                    include?: undefined;
                    begin?: undefined;
                    beginCaptures?: undefined;
                    end?: undefined;
                    endCaptures?: undefined;
                    name?: undefined;
                    patterns?: undefined;
                } | {
                    captures: {
                        "1": {
                            name: string;
                        };
                        "2": {
                            name: string;
                        };
                        "3"?: undefined;
                        "4"?: undefined;
                        "5"?: undefined;
                        "6"?: undefined;
                        "7"?: undefined;
                    };
                    match: string;
                    include?: undefined;
                    begin?: undefined;
                    beginCaptures?: undefined;
                    end?: undefined;
                    endCaptures?: undefined;
                    name?: undefined;
                    patterns?: undefined;
                } | {
                    begin: string;
                    beginCaptures: {
                        "0": {
                            name: string;
                        };
                    };
                    end: string;
                    endCaptures: {
                        "0": {
                            name: string;
                        };
                    };
                    name: string;
                    patterns: ({
                        include: string;
                        begin?: undefined;
                        end?: undefined;
                        name?: undefined;
                    } | {
                        begin: string;
                        end: string;
                        name: string;
                        include?: undefined;
                    })[];
                    include?: undefined;
                    captures?: undefined;
                    match?: undefined;
                })[];
                include?: undefined;
                beginCaptures?: undefined;
                captures?: undefined;
                match?: undefined;
                contentName?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                name: string;
                patterns: ({
                    include: string;
                    begin?: undefined;
                    end?: undefined;
                    patterns?: undefined;
                } | {
                    begin: string;
                    end: string;
                    patterns: {
                        include: string;
                    }[];
                    include?: undefined;
                })[];
                include?: undefined;
                captures?: undefined;
                match?: undefined;
                contentName?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                };
                end: string;
                name: string;
                patterns: {
                    include: string;
                }[];
                include?: undefined;
                endCaptures?: undefined;
                captures?: undefined;
                match?: undefined;
                contentName?: undefined;
            } | {
                begin: string;
                captures: {
                    "0": {
                        name: string;
                    };
                    "1": {
                        name: string;
                    };
                    "2"?: undefined;
                };
                end: string;
                name: string;
                patterns: {
                    include: string;
                }[];
                include?: undefined;
                endCaptures?: undefined;
                beginCaptures?: undefined;
                match?: undefined;
                contentName?: undefined;
            } | {
                match: string;
                captures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                        patterns: {
                            match: string;
                            captures: {
                                "0": {
                                    name: string;
                                };
                            };
                        }[];
                    };
                    "0"?: undefined;
                };
                include?: undefined;
                begin?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                name?: undefined;
                patterns?: undefined;
                beginCaptures?: undefined;
                contentName?: undefined;
            } | {
                begin: string;
                end: string;
                patterns: ({
                    include: string;
                    match?: undefined;
                    captures?: undefined;
                    begin?: undefined;
                    beginCaptures?: undefined;
                    end?: undefined;
                    endCaptures?: undefined;
                    name?: undefined;
                    patterns?: undefined;
                } | {
                    match: string;
                    captures: {
                        "0": {
                            name: string;
                        };
                        "1": {
                            name: string;
                        };
                    };
                    include?: undefined;
                    begin?: undefined;
                    beginCaptures?: undefined;
                    end?: undefined;
                    endCaptures?: undefined;
                    name?: undefined;
                    patterns?: undefined;
                } | {
                    begin: string;
                    beginCaptures: {
                        "0": {
                            name: string;
                        };
                    };
                    end: string;
                    endCaptures: {
                        "0": {
                            name: string;
                        };
                    };
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                    include?: undefined;
                    match?: undefined;
                    captures?: undefined;
                })[];
                include?: undefined;
                endCaptures?: undefined;
                name?: undefined;
                beginCaptures?: undefined;
                captures?: undefined;
                match?: undefined;
                contentName?: undefined;
            } | {
                begin: string;
                end: string;
                patterns: ({
                    include: string;
                    begin?: undefined;
                    beginCaptures?: undefined;
                    end?: undefined;
                    name?: undefined;
                    patterns?: undefined;
                    endCaptures?: undefined;
                } | {
                    begin: string;
                    beginCaptures: {
                        "0": {
                            name: string;
                        };
                        "1": {
                            name: string;
                        };
                    };
                    end: string;
                    name: string;
                    patterns: ({
                        include: string;
                        begin?: undefined;
                        beginCaptures?: undefined;
                        end?: undefined;
                        endCaptures?: undefined;
                        name?: undefined;
                        patterns?: undefined;
                    } | {
                        begin: string;
                        beginCaptures: {
                            "1": {
                                name: string;
                            };
                            "2": {
                                name: string;
                            };
                        };
                        end: string;
                        endCaptures: {
                            "0": {
                                name: string;
                            };
                        };
                        name: string;
                        patterns: ({
                            include: string;
                            match?: undefined;
                            name?: undefined;
                        } | {
                            match: string;
                            name: string;
                            include?: undefined;
                        })[];
                        include?: undefined;
                    })[];
                    include?: undefined;
                    endCaptures?: undefined;
                } | {
                    begin: string;
                    beginCaptures: {
                        "0": {
                            name: string;
                        };
                        "1"?: undefined;
                    };
                    end: string;
                    endCaptures: {
                        "0": {
                            name: string;
                        };
                    };
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                    include?: undefined;
                })[];
                include?: undefined;
                endCaptures?: undefined;
                name?: undefined;
                beginCaptures?: undefined;
                captures?: undefined;
                match?: undefined;
                contentName?: undefined;
            } | {
                begin: string;
                end: string;
                patterns: ({
                    include: string;
                    begin?: undefined;
                    beginCaptures?: undefined;
                    end?: undefined;
                    name?: undefined;
                    patterns?: undefined;
                    endCaptures?: undefined;
                } | {
                    begin: string;
                    beginCaptures: {
                        "0": {
                            name: string;
                        };
                        "1": {
                            name: string;
                        };
                    };
                    end: string;
                    name: string;
                    patterns: ({
                        include: string;
                        captures?: undefined;
                        match?: undefined;
                        name?: undefined;
                    } | {
                        captures: {
                            "0": {
                                patterns: {
                                    include: string;
                                }[];
                            };
                        };
                        match: string;
                        name: string;
                        include?: undefined;
                    })[];
                    include?: undefined;
                    endCaptures?: undefined;
                } | {
                    begin: string;
                    beginCaptures: {
                        "0": {
                            name: string;
                        };
                        "1"?: undefined;
                    };
                    end: string;
                    endCaptures: {
                        "0": {
                            name: string;
                        };
                    };
                    name: string;
                    patterns: ({
                        include: string;
                        captures?: undefined;
                        match?: undefined;
                    } | {
                        captures: {
                            "1": {
                                name: string;
                            };
                            "2": {
                                name: string;
                            };
                        };
                        match: string;
                        include?: undefined;
                    })[];
                    include?: undefined;
                })[];
                include?: undefined;
                endCaptures?: undefined;
                name?: undefined;
                beginCaptures?: undefined;
                captures?: undefined;
                match?: undefined;
                contentName?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                };
                contentName: string;
                end: string;
                name: string;
                patterns: {
                    include: string;
                }[];
                include?: undefined;
                endCaptures?: undefined;
                captures?: undefined;
                match?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                name: string;
                patterns: ({
                    include: string;
                    captures?: undefined;
                    match?: undefined;
                } | {
                    captures: {
                        "1": {
                            patterns: {
                                include: string;
                            }[];
                        };
                        "2": {
                            name: string;
                            patterns: {
                                include: string;
                            }[];
                        };
                    };
                    match: string;
                    include?: undefined;
                })[];
                include?: undefined;
                captures?: undefined;
                match?: undefined;
                contentName?: undefined;
            })[];
        };
        "color-keywords": {
            patterns: ({
                include: string;
                match?: undefined;
                name?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
            })[];
        };
        combinators: {
            patterns: ({
                include: string;
                match?: undefined;
                name?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
            })[];
        };
        commas: {
            match: string;
            name: string;
        };
        "comment-block": {
            begin: string;
            beginCaptures: {
                "0": {
                    name: string;
                };
            };
            end: string;
            endCaptures: {
                "0": {
                    name: string;
                };
            };
            name: string;
        };
        escapes: {
            patterns: ({
                include: string;
                match?: undefined;
                name?: undefined;
                begin?: undefined;
                end?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
                begin?: undefined;
                end?: undefined;
            } | {
                begin: string;
                end: string;
                name: string;
                include?: undefined;
                match?: undefined;
            })[];
        };
        "feature-query": {
            begin: string;
            beginCaptures: {
                "0": {
                    name: string;
                };
            };
            end: string;
            endCaptures: {
                "0": {
                    name: string;
                };
            };
            name: string;
            patterns: {
                include: string;
            }[];
        };
        "feature-query-operators": {
            patterns: ({
                include: string;
                match?: undefined;
                name?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
            })[];
        };
        "font-features": {
            begin: string;
            beginCaptures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
            };
            end: string;
            name: string;
            patterns: ({
                include: string;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                name?: undefined;
                patterns?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "0": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                name: string;
                patterns: ({
                    include: string;
                    captures?: undefined;
                    match?: undefined;
                    name?: undefined;
                } | {
                    captures: {
                        "0": {
                            patterns: {
                                include: string;
                            }[];
                        };
                    };
                    match: string;
                    name: string;
                    include?: undefined;
                })[];
                include?: undefined;
            })[];
        };
        functions: {
            patterns: ({
                include: string;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                name?: undefined;
                patterns?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                name: string;
                patterns: ({
                    include: string;
                    match?: undefined;
                    name?: undefined;
                } | {
                    match: string;
                    name: string;
                    include?: undefined;
                })[];
                include?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                name: string;
                patterns: ({
                    include: string;
                    begin?: undefined;
                    beginCaptures?: undefined;
                    end?: undefined;
                    endCaptures?: undefined;
                    patterns?: undefined;
                } | {
                    begin: string;
                    beginCaptures: {
                        "1": {
                            name: string;
                        };
                        "2": {
                            name: string;
                        };
                    };
                    end: string;
                    endCaptures: {
                        "0": {
                            name: string;
                        };
                    };
                    patterns: {
                        include: string;
                    }[];
                    include?: undefined;
                })[];
                include?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                patterns: {
                    include: string;
                }[];
                include?: undefined;
                name?: undefined;
            })[];
        };
        "functional-pseudo-classes": {
            patterns: ({
                include: string;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                patterns?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                    "3": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                patterns: ({
                    include: string;
                    match?: undefined;
                    name?: undefined;
                    begin?: undefined;
                    beginCaptures?: undefined;
                    end?: undefined;
                    endCaptures?: undefined;
                    patterns?: undefined;
                } | {
                    match: string;
                    name: string;
                    include?: undefined;
                    begin?: undefined;
                    beginCaptures?: undefined;
                    end?: undefined;
                    endCaptures?: undefined;
                    patterns?: undefined;
                } | {
                    begin: string;
                    beginCaptures: {
                        "0": {
                            name: string;
                        };
                    };
                    end: string;
                    endCaptures: {
                        "0": {
                            name: string;
                        };
                    };
                    name: string;
                    patterns: ({
                        include: string;
                        match?: undefined;
                        name?: undefined;
                    } | {
                        match: string;
                        name: string;
                        include?: undefined;
                    })[];
                    include?: undefined;
                    match?: undefined;
                })[];
                include?: undefined;
            })[];
        };
        "media-features": {
            captures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
                "3": {
                    name: string;
                };
            };
            match: string;
        };
        "media-feature-keywords": {
            match: string;
            name: string;
        };
        "media-query": {
            begin: string;
            end: string;
            patterns: ({
                include: string;
                match?: undefined;
                name?: undefined;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                patterns?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                patterns?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "0": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                patterns: ({
                    include: string;
                    match?: undefined;
                    name?: undefined;
                    captures?: undefined;
                } | {
                    match: string;
                    name: string;
                    include?: undefined;
                    captures?: undefined;
                } | {
                    captures: {
                        "1": {
                            name: string;
                        };
                        "2": {
                            name: string;
                        };
                        "3": {
                            name: string;
                        };
                    };
                    match: string;
                    name: string;
                    include?: undefined;
                })[];
                include?: undefined;
                match?: undefined;
                name?: undefined;
            })[];
        };
        "media-query-list": {
            begin: string;
            end: string;
            patterns: {
                include: string;
            }[];
        };
        "media-types": {
            captures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
            };
            match: string;
        };
        "numeric-values": {
            patterns: ({
                include: string;
                captures?: undefined;
                match?: undefined;
                name?: undefined;
            } | {
                captures: {
                    "1": {
                        name: string;
                    };
                    "2"?: undefined;
                };
                match: string;
                name: string;
                include?: undefined;
            } | {
                captures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                    };
                };
                match: string;
                name: string;
                include?: undefined;
            })[];
        };
        "property-keywords": {
            patterns: ({
                include: string;
                match?: undefined;
                name?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
            })[];
        };
        "property-names": {
            patterns: ({
                include: string;
                match?: undefined;
                name?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
            })[];
        };
        "property-values": {
            patterns: ({
                include: string;
                match?: undefined;
                name?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
            })[];
        };
        "pseudo-classes": {
            captures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
            };
            match: string;
            name: string;
        };
        "pseudo-elements": {
            captures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
            };
            match: string;
            name: string;
        };
        "rule-list": {
            begin: string;
            beginCaptures: {
                "0": {
                    name: string;
                };
            };
            end: string;
            endCaptures: {
                "0": {
                    name: string;
                };
            };
            name: string;
            patterns: {
                include: string;
            }[];
        };
        "rule-list-innards": {
            patterns: ({
                include: string;
                match?: undefined;
                name?: undefined;
                begin?: undefined;
                end?: undefined;
                patterns?: undefined;
                beginCaptures?: undefined;
                endCaptures?: undefined;
                contentName?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
                begin?: undefined;
                end?: undefined;
                patterns?: undefined;
                beginCaptures?: undefined;
                endCaptures?: undefined;
                contentName?: undefined;
            } | {
                begin: string;
                end: string;
                name: string;
                patterns: {
                    include: string;
                }[];
                include?: undefined;
                match?: undefined;
                beginCaptures?: undefined;
                endCaptures?: undefined;
                contentName?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "1": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "1": {
                        name: string;
                    };
                };
                contentName: string;
                patterns: {
                    include: string;
                }[];
                include?: undefined;
                match?: undefined;
                name?: undefined;
            })[];
        };
        selector: {
            begin: string;
            end: string;
            name: string;
            patterns: {
                include: string;
            }[];
        };
        "selector-innards": {
            patterns: ({
                include: string;
                captures?: undefined;
                match?: undefined;
                name?: undefined;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                patterns?: undefined;
            } | {
                captures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        name: string;
                        patterns?: undefined;
                    };
                };
                match: string;
                include?: undefined;
                name?: undefined;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                patterns?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
                captures?: undefined;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                patterns?: undefined;
            } | {
                captures: {
                    "1": {
                        name: string;
                    };
                    "2": {
                        patterns: {
                            include: string;
                        }[];
                        name?: undefined;
                    };
                };
                match: string;
                name: string;
                include?: undefined;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                patterns?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "0": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                name: string;
                patterns: ({
                    include: string;
                    captures?: undefined;
                    match?: undefined;
                    name?: undefined;
                } | {
                    captures: {
                        "1": {
                            name: string;
                            patterns?: undefined;
                        };
                    };
                    match: string;
                    include?: undefined;
                    name?: undefined;
                } | {
                    captures: {
                        "1": {
                            name: string;
                            patterns: {
                                include: string;
                            }[];
                        };
                    };
                    match: string;
                    include?: undefined;
                    name?: undefined;
                } | {
                    match: string;
                    name: string;
                    include?: undefined;
                    captures?: undefined;
                })[];
                include?: undefined;
                captures?: undefined;
                match?: undefined;
            })[];
        };
        string: {
            patterns: ({
                include: string;
                begin?: undefined;
                beginCaptures?: undefined;
                end?: undefined;
                endCaptures?: undefined;
                name?: undefined;
                patterns?: undefined;
            } | {
                begin: string;
                beginCaptures: {
                    "0": {
                        name: string;
                    };
                };
                end: string;
                endCaptures: {
                    "0": {
                        name: string;
                    };
                };
                name: string;
                patterns: ({
                    include: string;
                    begin?: undefined;
                    end?: undefined;
                    name?: undefined;
                    patterns?: undefined;
                } | {
                    begin: string;
                    end: string;
                    name: string;
                    patterns: {
                        include: string;
                    }[];
                    include?: undefined;
                })[];
                include?: undefined;
            })[];
        };
        "tag-names": {
            match: string;
            name: string;
        };
        "unicode-range": {
            captures: {
                "0": {
                    name: string;
                };
                "1": {
                    name: string;
                };
            };
            match: string;
        };
        url: {
            begin: string;
            beginCaptures: {
                "1": {
                    name: string;
                };
                "2": {
                    name: string;
                };
            };
            end: string;
            endCaptures: {
                "0": {
                    name: string;
                };
            };
            name: string;
            patterns: ({
                include: string;
                match?: undefined;
                name?: undefined;
            } | {
                match: string;
                name: string;
                include?: undefined;
            })[];
        };
    };
};
