import type { Highlighter } from 'shiki';
export declare const loadShikiLangAsync: (name: string) => Promise<boolean>;
export declare const supportsMdCodeBlocks: (lang: string) => boolean;
export declare const loadMdCodeBlocks: (lang: string, code: string) => boolean;
export declare const getShikiAsync: () => Promise<Highlighter>;
export declare const useShiki: (language?: string) => {
    sh: Highlighter | null;
    loadIndex: number;
};
