"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.designTokenValues = exports.defaultDesignTokenVariation = exports.allDesignTokenVariations = void 0;
exports.allDesignTokenVariations = Object.freeze(["light", "dark"]);
exports.defaultDesignTokenVariation = "dark";
const darkTokens = Object.freeze({
    variation: "dark",
    borderRadius: "4px",
    bgColor: "#151515",
    fontFamily: 'Courier New',
    fontSize: '14px',
    fontColor: "#ffffff",
    foreground: "#ffffff",
    inputBgColor: "#282B30",
    mutedColor: "#6F767E",
    panelColor: "#1B1D1F",
    containerPadding: '14px',
    infoColor: '#5D93CA',
    successColor: '#6FC5B1',
    warnColor: '#DCDCAF',
    dangerColor: '#CB5A58',
    entityBgColor: '#1c1c1c94',
    entityNameColor: '#BC8ABD',
    entityTypeColor: '#6FC5B1',
    memberNameWeight: 'bold',
    memberNameColor: '#A8DAFB',
    memberCtrlWeight: 'normal',
    memberCtrlColor: '#ffffff88',
    memberTypeWeight: 'normal',
    memberTypeColor: '#6FC5B1',
    caretColor: '#ffffff',
    anchorSize: 10,
    anchorColor: '#444444',
    lineColor: '#88B6BA',
    codeLineHeight: 20,
    codeFontSize: 15,
    codeVPadding: 8,
    codeHPadding: 16,
});
const lightTokens = Object.freeze(Object.assign(Object.assign({}, darkTokens), { variation: "light", borderRadius: "12px", bgColor: "#f4f4f4", fontFamily: 'Courier New', fontColor: "#111315", inputBgColor: "#F4F4F4", mutedColor: "#9A9FA5", panelColor: "#fcfcfc" }));
exports.designTokenValues = Object.freeze({
    light: lightTokens,
    dark: darkTokens,
});
//# sourceMappingURL=tokens.js.map